{
  "type": "tconstruct:composable",
  "level_display": "tconstruct:no_levels",
  "modules": [
    {
      "type": "tconstruct:rarity",
      "rarity": "uncommon"
    },
    {
      "type": "tconstruct:stat_boost",
      "flat": -0.25,
      "operation": "multiply_base",
      "stat": "tconstruct:durability"
    },
    {
      "type": "tconstruct:modifier_slot",
      "count": 2,
      "name": "upgrades"
    },
    {
      "type": "tconstruct:stat_boost",
      "flat": -0.25,
      "operation": "multiply_base",
      "stat": "tconstruct:attack_damage"
    },
    {
      "type": "tconstruct:stat_boost",
      "flat": -0.25,
      "operation": "multiply_base",
      "stat": "tconstruct:mining_speed"
    }
  ],
  "tooltip_display": "always"
}